loggerimpl.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/appenderattachableimpl.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/spi/loggerfactory.h>`
`#include <memory>`
`#include <vector>`
Include dependency graph for loggerimpl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::spi::LoggerImpl
| This is the central class in the log4cplus package. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::spi

## Typedefs

typedef LoggerImpl::SharedLoggerImplPtr | log4cplus::spi::SharedLoggerImplPtr